Get the current context of the user.

Request

  • Retrieve the current context of the user.
  • The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header.
  • The API caller is authenticated via the service principal, as indicated by the azp (Authorized Party) claim in the JWT token within the authorization header.
  • If your application must be scoped to specific billing accounts, the client ID needs the ccm.billingaccount.read (e.g., the controlPlaneAdmin role) permission to get the context of user. Please raise the request with the CSI team.
  • If user's context contains a data partition, then the client ID in the service principal must also possess the ccm.datapartition.read(e.g., the controlPlaneAdmin role) to access the context associated with the user.
  • The API enforces a request rate limit of 10 requests per minute per caller.
Security
bearer and appkey
curl -i -X GET \
  https://api.delfi.slb.com/ccm/userContext/v1/currentContext \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
accountobject(Account)

billingAccountId is generated by the Business System for the BillingAccount.

departmentobject(Department)

departmentId is the CCM Auto-Generated ID for the Department.

contractobject(Contract)

contractId is the generated by the Business System for the Contract.

dataPartitionobject(DataPartition)

dataPartitionId is the CCM Auto-Generated ID for the DataPartition.

Response
{ "account": { "billingAccountId": "DIGITAL2020", "name": "string", "countryId": "string" }, "department": { "departmentId": "string", "name": "string" }, "contract": { "contractId": "string", "contractName": "string", "countryId": "string" }, "dataPartition": { "dataPartitionId": "string", "name": "string", "slbPartitionId": "string", "endpointId": "string", "endpointName": "string", "instance": "string" } }